#!/usr/bin/env python
import smtplib, ssl
import argparse
from email.mime.text import MIMEText


parser = argparse.ArgumentParser(description='')
parser.add_argument('--host', type=str, help='smtp host')
parser.add_argument('--port', type=str, help='smtp port')
parser.add_argument('--sender', type=str, help='sender email')
parser.add_argument('--password', type=str, help='sender password')
parser.add_argument('--receiver', type=str, help='receiver email')
parser.add_argument('--subject', type=str, help='email subject')
parser.add_argument('--msg', type=str, help='email msg')

args = parser.parse_args()
_from = args.sender
_pass = args.password
_to = args.receiver
host = args.host
port = args.port

msg = MIMEText(args.msg)
msg['Subject'] = args.subject
try:
    s = smtplib.SMTP_SSL(host+':'+str(port))
    s.login(_from,_pass)
    s.sendmail(_from,_to, msg.as_string())
    s.quit()    
except Exception as ex:
    print ex.message
exit()

# import socket
# import os
# from datetime import datetime
# import time
# import wiringpi as wpi

# def internet(host="8.8.8.8", port=53, timeout=3):
    # try:
        # socket.setdefaulttimeout(timeout)
        # socket.socket(socket.AF_INET, socket.SOCK_STREAM).connect((host, port))
        # return True
    # except Exception as ex:
        # print ex.message
        # return False

        
# wpi.wiringPiSetup()
# wpi.pinMode(23, 1)        
# while True:
    # wpi.digitalWrite(23, 1)
    # time.sleep(1)
    # wpi.digitalWrite(23, 0)
    # time.sleep(1)        
        
# if internet():        
    # out1 = os.system("sudo /home/odroid/.local/bin/tzupdate")
    # time.sleep(1)
    # out2 = os.system("sudo ntpd -gq")
    # if int(out1) == 0 and int(out2) == 0:
        # print ("system time updated.")        
        # hwtime = os.popen("sudo hwclock -r").read().split(" ")
        # if len(hwtime) > 6:
            # s = hwtime[0] + " " + hwtime[1] + " " + hwtime[2] + " " + hwtime[3] + " " + hwtime[4] + " " + hwtime[5] + " " + hwtime[6]
            # hw = datetime.strptime(s, '%a %d %b %Y %I:%M:%S %p %Z')
            # if abs((hw - datetime.now()).total_seconds()) > 15:
                # os.popen("sudo hwclock -w")
                # print ("hw clock updated.")                                                 
# else:
    # print ("no internet")

